package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderContractBatchdownloadRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【跨境电子签约文件id】跨境电子签约文件id 【作用】 查询需下载的跨境电子签约文件集合 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractIds string `json:"contractIds,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需下载的跨境电子签约文件集合 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizIds string `json:"bizIds,omitempty"`
}

func (obj CrossborderContractBatchdownloadRequest) GetUrl() string {
	return "/cross-border/contract/batchdownload"
}

func (obj CrossborderContractBatchdownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractIds", obj.ContractIds)
	parameter.AddParam("bizIds", obj.BizIds)
	return parameter
}
